Xfce Forum

Sub domains
 

You are not logged in.

#1 2021-04-19 14:31:52

dezix
Member
Registered: 2017-07-19
Posts: 17

XCFE 4.16 : Looking for Orage replacement

Hi!

As told in Xfce 4-16 Released! - Announcements :

ToZ wrote:

orage hasn't had an active developer for years. With Xfce panel 4.16 dropping support for GTK2 panel plugins, it was archived and is no longer part of active Xfce.

I have to ask XFCE community about the way it recommends for replacing this essential piece of software in Desktop Environment ?

Because I have been looking into Debian repository and didn't found any calendar application able to do right Orage's job.

Thanks for advises.


Debian + XFCE since ... GNOME 3 wink

Offline

#2 2021-04-19 16:35:29

alcornoqui
Member
Registered: 2014-07-28
Posts: 808

Re: XCFE 4.16 : Looking for Orage replacement

I'm not sure about the integration with Xfce (seems workable, though), but GNOME Calendar might have the features you need.

Offline

#3 2021-04-20 11:12:21

dezix
Member
Registered: 2017-07-19
Posts: 17

Re: XCFE 4.16 : Looking for Orage replacement

¡Hola! alcornoqui

Thanks for this hint,
but I hope you will understand me if I've a kind of phobia against things that come from Gnome and KDE when I'm using XFCE.

My rule of priority is (generally)  XFCE/LXDE/independent-kiss-suckless-Apps

So at the moment the only exceptions I allow, are : meld ; gnome-sound-recorder and gnome-keyring

At the moment my best candidate seems to be remind + tkremind
I would prefer stay with Orage but if there's no other way ... sad

What sounds (to me) like absurd is that it seems the issue with Orage comes from the change from GTK2 to GTK3
and
how is there no back compatibility to make the glue for projects with slow dev?

Last edited by dezix (2021-04-20 11:21:11)


Debian + XFCE since ... GNOME 3 wink

Offline

#4 2021-04-20 12:14:12

ToZ
Moderator
From: Canada
Registered: 2011-06-02
Posts: 7,748

Re: XCFE 4.16 : Looking for Orage replacement

Note that orage, the application, will still work (even though its been archived). The part that won't work is the panel plugin because the panel now only supports GTK3 plugins. (Distros may have stopped packaging it but you may have some luck installing an older version package).

You can replace the panel plugin part with a genmon alternative.

Offline

#5 2021-05-06 18:04:58

dezix
Member
Registered: 2017-07-19
Posts: 17

Re: XCFE 4.16 : Looking for Orage replacement

Actually, Orage is still in Debian's stable repositories, as for now only testing and unstable serve 4.16.

I manage to locally install  orage and orage-data in ~/.local/... tree ,
extracting manually files from .deb archives.

You can find short explanation (in french) and a link toward an archive I made for quick install : here

The only point I don't manage with, is to get GUI with my locale fr_FR.UTF-8

About the panel's plugin,
I never use it, I only check the box for tray icon in the preferences.


Debian + XFCE since ... GNOME 3 wink

Offline

Board footer

Powered by FluxBB